#include <stdio.h>
#include <stdbool.h> // Biblioteca necesaria para usar bool


int main(void) {
    // Declaración y asignación de variables de tipo bool
    bool esVerdadero = true;
    bool esFalso = false;

    // Impresión directa de los valores
    printf("Valor de esVerdadero: %d\n", esVerdadero); // true se imprime como 1
    printf("Valor de esFalso: %d\n", esFalso);         // false se imprime como 0

    // Modificar los valores
    esVerdadero = false;
    esFalso = true;

    // Impresión después de la modificación
    printf("Después del cambio:\n");
    printf("Valor de esVerdadero: %d\n", esVerdadero); // Ahora es 0
    printf("Valor de esFalso: %d\n", esFalso);         // Ahora es 1

    return 0;
}



/*
int main(void) {
    // Declaración de variables de tipo bool
    bool esVerdadero = true;   // Asignación del valor 'true'
    bool esFalso = false;      // Asignación del valor 'false'

    // Uso de las variables
    printf("Valor de esVerdadero: %s\n", esVerdadero ? "true" : "false");
    printf("Valor de esFalso: %s\n", esFalso ? "true" : "false");

    // Operaciones con bool
    bool resultado = esVerdadero && esFalso; // Operación lógica AND
    printf("Resultado de esVerdadero AND esFalso: %s\n", resultado ? "true" : "false");

    resultado = esVerdadero || esFalso; // Operación lógica OR
    printf("Resultado de esVerdadero OR esFalso: %s\n", resultado ? "true" : "false");

    resultado = !esVerdadero; // Operación lógica NOT
    printf("Resultado de NOT esVerdadero: %s\n", resultado ? "true" : "false");

    return 0;
}
*/
